vigra - BlockwiseLabelOptions Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BlockwiseLabelOptions Class Reference Connected Components Labeling |

`#include <vigra/blockwise_labeling.hxx>`

Inheritance diagram for BlockwiseLabelOptions:

## Additional Inherited Members
Public Types inherited from ParallelOptions
enum | { Auto = -1, Nice = -2, NoThreads = 0 }
Public Member Functions inherited from LabelOptions
template<class T >
T | getBackgroundValue () const
| Get the background value to be ignored. More...
NeighborhoodType | getNeighborhood () const
| Query the neighborhood type (direct or indirect).
bool | hasBackgroundValue () const
| Check if some background value is to be ignored.
template<class T >
LabelOptions & | ignoreBackgroundValue (T const &t)
| Set background value. More...
| LabelOptions ()
| Set default options.
LabelOptions & | neighborhood (NeighborhoodType n)
| Choose direct or indirect neighborhood. More...
Public Member Functions inherited from BlockwiseOptions
BlockwiseOptions & | blockShape (const Shape &blockShape)
template<class T , int N>
BlockwiseOptions & | blockShape (const TinyVector< T, N > &blockShape)
BlockwiseOptions & | blockShape (MultiArrayIndex blockShape)
Shape const & | getBlockShape () const
template<int N>
TinyVector< MultiArrayIndex, N > | getBlockShapeN () const
Public Member Functions inherited from ParallelOptions
int | getActualNumThreads () const
| Get desired number of threads. More...
int | getNumThreads () const
| Get desired number of threads. More...
ParallelOptions & | numThreads (const int n)
| Set the number of threads or one of the constants `Auto`, `Nice` and `NoThreads`. More...

## Detailed Description

Options object for labelMultiArrayBlockwise().

It is simply a subclass of both vigra::LabelOptions and vigra::BlockwiseOptions. See there for detailed documentation.

The documentation for this class was generated from the following file:

- vigra/blockwise_labeling.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)